Until now I had been using the latest git version of sparse (August 26, 2008).
authorvlnb <vlnb@d57e44dd-8a1f-0410-8b47-8ef2f437770f>
Thu, 4 Dec 2008 18:00:51 +0000 (18:00 +0000)
committervlnb <vlnb@d57e44dd-8a1f-0410-8b47-8ef2f437770f>
Thu, 4 Dec 2008 18:00:51 +0000 (18:00 +0000)
commit45834099dca4110c672a5f52c97dde5f4f8a93a2
treeddc7e6ce8e4efb0533cb9d0cfdd1ac1f7f407179
parent6e7a3c3cfa8cb67e611540a35a2c763a1b586981
Until now I had been using the latest git version of sparse (August 26, 2008).
Apparently not all messages reported by this version are correct. So I switched
back to the last released sparse version (0.4.1). The patch below fixes all
errors and warnings reported by sparse 0.4.1 on the SCST source code.

Signed-off-by: Bart Van Assche <bart.vanassche@gmail.com>
git-svn-id: https://scst.svn.sourceforge.net/svnroot/scst/trunk@596 d57e44dd-8a1f-0410-8b47-8ef2f437770f
iscsi-scst/kernel/iscsi.c
iscsi-scst/kernel/iscsi.h
iscsi-scst/kernel/nthread.c